Class | Ferret::Search::Spans::SpanPrefixQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

A SpanPrefixQuery is the Spans version of PrefixQuery, the only difference being that it returns the start and end offset of all of its matches for use by enclosing SpanQueries.

### Methods

new

### Public Class methods

SpanPrefixQuery.new(field, prefix, max_terms = 256) → query

Create a new SpanPrefixQuery which matches all documents with the prefix `prefix` in the field `field`.

[Validate]